Summary: Utilities for controlling 802.1AX team network device
Name: libteam
Version: 1.32
Release: 1%{?dist}
License: LGPLv2+
URL: http://www.libteam.org
Source0: http://www.libteam.org/files/libteam-%{version}.tar.gz
BuildRequires: gcc make jansson-devel
BuildRequires: libdaemon-devel libnl3-devel
BuildRequires: dbus-devel systemd

%description
Libteam is a library which is the user-space counterpart for the 
team network driver, and provides an API to control them. Linux 
kernel 3.3 and above offer a so-called "team" network driver - a 
lightweight mechanism for bonding multiple interfaces together. 
It is a userspace-driven alternative to the existing bonding driver.

%package devel
Summary: Libraries and header files for libteam development
Requires: libteam = %{version}-%{release}

%description devel
Development libraries and header files for using libteam.

%package -n teamd
Summary: Team network device control daemon
Requires: libteam = %{version}-%{release}

%description -n teamd
The teamd is a daemon to control a given team network device, 
during runtime, as a puppeteer controls a puppet.

%package -n teamd-devel
Summary: Libraries and header files for teamd development
Requires: libteam = %{version}-%{release}

%description -n teamd-devel
Development libraries and header files for using libteamdctl.

%package -n network-scripts-teamd
Summary: libteam legacy network service support
Requires: network-scripts

%description -n network-scripts-teamd
network-scripts-teamd provides the ifup and ifdown scripts for libteam
use with the legacy network service.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name \*.la -delete
rm -rf %{buildroot}/%{_bindir}/team_*

mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -p teamd/dbus/teamd.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/

mkdir -p %{buildroot}%{_unitdir}
install -p teamd/redhat/systemd/teamd@.service %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
for i in ifup-Team ifdown-Team ifup-TeamPort ifdown-TeamPort; do
	install -p -m 755 teamd/redhat/initscripts_systemd/network-scripts/$i %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
done

%files
%license COPYING
%{_bindir}/teamnl
%{_libdir}/libteam.so.*
%{_mandir}/man8/teamnl.8*

%files devel
%{_includedir}/team.h
%{_libdir}/libteam.so
%{_libdir}/pkgconfig/libteam.pc

%files -n teamd
%doc teamd/example_configs teamd/redhat/example_ifcfgs/
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/dbus-1/system.d/teamd.conf
%config(noreplace) %attr(644,root,root) %{_unitdir}/teamd@.service
%{_bindir}/teamd
%{_bindir}/teamdctl
%{_bindir}/bond2team
%{_libdir}/libteamdctl.so.*
%{_mandir}/man8/teamd.8*
%{_mandir}/man8/teamdctl.8*
%{_mandir}/man5/teamd.conf.5*
%{_mandir}/man1/bond2team.1*

%files -n teamd-devel
%{_includedir}/teamdctl.h
%{_libdir}/libteamdctl.so
%{_libdir}/pkgconfig/libteamdctl.pc

%files -n network-scripts-teamd
%{_sysconfdir}/sysconfig/network-scripts/*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.32-1
- Upgrade to version 1.32

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 Wang Zhe <bessiewang@tencent.com> - 1.31-1
- initial build
